import { HttpErrorResponse } from '@angular/common/http';
export type RbkApiErrorMessageTypes = string | string[] | RbkApiErrorMessage;
interface RbkApiErrorMessage {
    errors: string[];
}
export declare class CustomError {
    messages: string[];
    redirectTo: string;
    static getErrorMessages(error: RbkApiErrorMessageTypes): string[];
    static fromApiResponse(state: HttpErrorResponse): CustomError;
    static fromExceptionResponse(state: HttpErrorResponse, redirectTo: string): CustomError;
    static fromSingleError(message: string, redirectTo?: string): CustomError;
    static empty(): CustomError;
}
export declare class HttpErrorHandler {
    static handle(httpResponse: any): Promise<CustomError>;
    private static isBlobError;
    private static parseBlob;
}
export {};
